package com.caimei365.user.model.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/12
 */
@Data
public class ShopRegisterDto implements Serializable {
    /**
     * 注册来源: 0网站 1小程序
     */
    private Integer source;
    /**
     * 组织名称
     */
    private String name;
    /**
     * 供应商公司简称(sname)
     */
    private String sName;

    /**
     * 企业绑定手机号
     */
    private String bindMobile;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 密码
     */
    private String password;
    /**
     * 联系人
     */
    private String linkMan;
    /**
     * 省(provinceID)
     */
    private Integer provinceId;
    /**
     * 市(cityID)
     */
    private Integer cityId;
    /**
     * 地址ID(townID)
     */
    private Integer townId;
    /**
     * 地址
     */
    private String address;
    /**
     * 统一社会信用代码
     */
    private String socialCreditCode;
    /**
     * 营业执照(businessLicenseImage)
     */
    private String businessLicense;
    /**
     * 医疗=1和非医疗=2
     */
    private String firstShopType;
    /**
     * 医疗的二级分类 一类器械=1、二类器械 =2、三类器械=3、其他=4 /// 一级分类非医疗没有二级分类
     */
    private String secondShopType;
    /**
     * 主打项目(mainpro)
     */
    private String mainProduct;
}
